WordPress xmlrpc.php publish_posts Functionality Access Restriction Bypass

2007-04-03T01:03:57
ID OSVDB:34350
Type osvdb
Reporter OSVDB
Modified 2007-04-03T01:03:57

Description

Solution Description

Upgrade to version 2.1.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

References:

Vendor Specific News/Changelog Entry: http://trac.wordpress.org/ticket/4091 Secunia Advisory ID:25108 Secunia Advisory ID:24751 Related OSVDB ID: 34351 Other Advisory URL: http://lists.debian.org/debian-security-announce/debian-security-announce-2007/msg00041.html Other Advisory URL: http://www.notsosecure.com/folder2/2007/04/03/wordpress-212-xmlrpc-security-issues/ ISS X-Force ID: 33470 FrSIRT Advisory: ADV-2007-1245 CVE-2007-1893